#pragma once

static constexpr auto CHAR_BIT  =    8;
static constexpr auto SCHAR_MIN = -128;
static constexpr auto SCHAR_MAX =  127;
static constexpr auto UCHAR_MAX =  0xff;

static constexpr auto CHAR_MIN = SCHAR_MIN;
static constexpr auto CHAR_MAX = SCHAR_MAX;

static constexpr auto SHRT_MIN  = -32768;
static constexpr auto SHRT_MAX  =  32767;
static constexpr auto USHRT_MAX = 0xffff;

static constexpr auto INT_MIN  = -2147483647 - 1;
static constexpr auto INT_MAX  =  2147483647;
static constexpr auto UINT_MAX =  0xffffffff;

static constexpr auto LONG_MIN  = INT_MIN;
static constexpr auto LONG_MAX  = INT_MAX;
static constexpr auto ULONG_MAX = UINT_MAX;

static constexpr auto I8_MIN  = SCHAR_MIN;
static constexpr auto I8_MAX  = SCHAR_MAX;
static constexpr auto UI8_MAX = UCHAR_MAX;

static constexpr auto I16_MIN  = SHRT_MIN;
static constexpr auto I16_MAX  = SHRT_MAX;
static constexpr auto UI16_MAX = USHRT_MAX;

static constexpr auto I32_MIN  = INT_MIN;
static constexpr auto I32_MAX  = INT_MAX;
static constexpr auto UI32_MAX = UINT_MAX;