#!/usr/bin/env bash
echo "<<< Install Rust prerequisites >>>"
apt install -y curl

RUST_VERSION=1.84.0
echo "<<< Install Rust $RUST_VERSION >>>"
curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -s -- --default-toolchain=$RUST_VERSION -y
. "$HOME/.cargo/env"
cargo install cargo-edit cargo-bundle --locked