use super::{file_writer::SectorWriter, types::{CDDATrack, CDDesc, Error}};

pub mod cd;
pub mod builder;

pub struct SizeInfo {
    pub real_size: RealSizeInfo,
    pub full_size: FullSizeInfo
}

pub struct FullSizeInfo {
    pub bytes:   Option<usize>,
    pub sectors: usize,
}
pub use FullSizeInfo as RealSizeInfo;