#[derive(Clone, Copy)]
pub enum Encoding {
    FourBit,
    EightBit,
    FullColor,
}

impl Encoding {
    const FOUR_BIT_NAME:&str   = "4 bit";
    const EIGHT_BIT_NAME:&str  = "8 bit";
    const FULL_COLOR_NAME:&str = "Full color";

    pub const fn to_str(&self) -> &str {
        match self {
            Encoding::FourBit   => Self::FOUR_BIT_NAME,
            Encoding::EightBit  => Self::EIGHT_BIT_NAME,
            Encoding::FullColor => Self::FULL_COLOR_NAME,
        }
    }
}